Summary: Tools to create a Linux kernel init ramdisk
Name: initrd-tools
Version: 0.1.7
Release: 12tr
License: GPL
Group: Trustix Official
Source: %{name}-%{version}.tar.gz
Source2: modules
Source3: linuxrc
Patch: initrd-tools-0.1.7-init.patch
Patch1: initrd-tools-0.1.7-evms.patch
Patch2: initrd-tools-0.1.7-mkinitrd-trustix.patch
Patch3: initrd-tools-0.1.7-mkinitrd-trustix-take2.patch
Patch4: initrd-tools-0.1.7-mkinitrd-ld-linux.patch
Patch5: initrd-tools-0.1.7-module-init-check.patch
Requires: cramfsprogs, dash
Autoreq: 0
Provides: mkinitrd
Obsoletes: mkinitrd
BuildRoot: %{_tmppath}/%{name}-root

%description
Tools to create a Linux kernel init ramdisk

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
./install.sh $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/etc/mkinitrd/modules
rm -rf $RPM_BUILD_ROOT/usr/share/initrd-tools/linuxrc
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/mkinitrd/modules
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/initrd-tools/linuxrc

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
%doc doc/*
%dir /etc/mkinitrd
%dir /etc/mkinitrd/scripts
/etc/mkinitrd/scripts/*
%config(noreplace) /etc/mkinitrd/mkinitrd.conf
%config(noreplace) /etc/mkinitrd/modules
%dir /usr/share/initrd-tools
%dir /usr/share/initrd-tools/scripts
/usr/share/initrd-tools/version
/usr/share/initrd-tools/echo
/usr/share/initrd-tools/init
/usr/share/initrd-tools/linuxrc
/usr/share/initrd-tools/probe.d/evms
%{_mandir}/man8/mkinitrd.8.gz
%{_mandir}/man5/mkinitrd.conf.5.gz
/usr/sbin/mkinitrd
  

%changelog
* Mon Apr 11 2005 Ajith Thampi <ajith at comodo dot com> 0.1.7-12tr
- Check for module-init-tools binary in mkinitrd

* Fri Mar 18 2005 Chr. Toldnes <christht at trustix dot org> 0.1.7-11tr
- Fix to handle strange ldd output

* Wed Mar 16 2005 Chr. Toldnes <christht at trustix dot org> 0.1.7-10tr
- Reworked linuxrc to help init
- Fixed bugs in modified init
- added requirement on dash

* Wed Mar 09 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.1.7-9tr
- Added customised linuxrc

* Mon Mar  7 2005 Chr. Toldnes <christht at trustix dot org> 0.1.7-7tr
- Changed to customised mkinitrd

* Fri Mar  5 2005 Syed Shabir <syedshabir at comodo dot com> 0.1.7-6tr
- Added customised mkinitrd, init, evms patches
- Added modules.conf source

* Wed Mar  5 2005 Chr. Toldnes <christht at trustix dot org> 0.1.7-5tr
- turned forward to use cramfsprogs instead of cramfs-tools

* Fri Mar  4 2005 Ajith Thampi <ajith at comodo dot com> 0.1.7-4tr
- turned back to use cramfs-tools instead of cramfsprogs

* Thu Mar  3 2005 Oystein Viggen <oysteivi at trustix dot com> 0.1.7-3tr
- It's cramfsprogs, not cramfsutils (let's all blame Christian :)

* Thu Mar  3 2005 Oystein Viggen <oysteivi at trustix dot com> 0.1.7-2tr
- Turn off autoreq, because rpm doesn't understand that some scripts will be
  run in a special non-rpm environment (i.e. on the initrd).

* Wed Mar  2 2005 Chr. Toldnes <christht at trustix dot org> 0.1.7-1tr
- Thanks to Debian and Ubuntu

